Tascam FW-1082

Joined
May 18, 2009
Messages
91
Reaction score
1
Points
8
Your Mac's Specs
15" MacBook Pro, 2.53GHz, 4GB, Snow Leopard + iPhone 3G
Hey guys,

I just got given an old Tascam FW-1082 and tried to install a driver only to find that it didnt work. Then, after some reserch, i found this:

Not Cool

Since I have snow leopard, is there any way i can get this running?

Thanks

James
 

pigoo3

Well-known member
Staff member
Admin
Joined
May 20, 2008
Messages
44,223
Reaction score
1,432
Points
113
Location
U.S.
Your Mac's Specs
2017 15" MBP, 16gig ram, 1TB SSD, OS 10.15
Since I have snow leopard, is there any way i can get this running?

I'm not sure if you found this at the Tascam.com website:

TASCAM

...but it's a bunch of resources (documents/software/firmware) for your unit.

Hope this helps,

- Nick
 

pigoo3

Well-known member
Staff member
Admin
Joined
May 20, 2008
Messages
44,223
Reaction score
1,432
Points
113
Location
U.S.
Your Mac's Specs
2017 15" MBP, 16gig ram, 1TB SSD, OS 10.15
Uh-ooo....I just found this as well:

TASCAM

...the addendum near the bottom of the message (dated 12/7/09) says:

The FW-1082 and FW-1884 are no longer included in the list of Mac OS X 10.6 supported interfaces.

I guess a downgrade to 10.5 would work...or returning the FW-1082.:(

Sorry,

- Nick

Edit: Oops! I see that your original link has the 12/7/09 addendum in it...that's why you named it "Not Cool"!
 
OP
jamessmells
Joined
May 18, 2009
Messages
91
Reaction score
1
Points
8
Your Mac's Specs
15" MacBook Pro, 2.53GHz, 4GB, Snow Leopard + iPhone 3G
I'm not really fond of the idea of downgrading. Since i got given the thing i can't really complain. It's just frustrating that Tascam don't support a product this is still being sold... At the moment it's useless to me!
 
OP
jamessmells
Joined
May 18, 2009
Messages
91
Reaction score
1
Points
8
Your Mac's Specs
15" MacBook Pro, 2.53GHz, 4GB, Snow Leopard + iPhone 3G
oh and thanks for your help pigoo3!
 

pigoo3

Well-known member
Staff member
Admin
Joined
May 20, 2008
Messages
44,223
Reaction score
1,432
Points
113
Location
U.S.
Your Mac's Specs
2017 15" MBP, 16gig ram, 1TB SSD, OS 10.15
I'm not really fond of the idea of downgrading. Since i got given the thing i can't really complain. It's just frustrating that Tascam don't support a product this is still being sold... At the moment it's useless to me!

Ok...maybe this may sound a bit crazy...but what about purchasing an older Macintosh that will run the software you need to use with the FW-1082...and installing 10.5 or even 10.4 (depending on what install disks you have & what's compatible with the FW-1082).

From what I saw researching this...the FW-1082 originally sold for around $1000...and now sells on Amazon for about $500+. So investing in another computer to use the FW-1082 may be worthwhile...depending on how serious your projects are using the FW-1082.

Just something to "chew" on,

- Nick

p.s. You're very welcome...always willing to help!:)
 
OP
jamessmells
Joined
May 18, 2009
Messages
91
Reaction score
1
Points
8
Your Mac's Specs
15" MacBook Pro, 2.53GHz, 4GB, Snow Leopard + iPhone 3G
Good idea really.
My Dad only just upgraded his to Snow Leopard. If i had known about getting this interface I would have stopped him.

I primarily want it for recording rough tracks with my band and I don't have a massive budget!

On the brighter side, my Mum suggested I use Windows...Haha!
 
Joined
Oct 26, 2009
Messages
34
Reaction score
1
Points
8
Location
Pittsburgh, PA
Your Mac's Specs
1.25 GHz eMac w/ superdrive, 1.5GB RAM; 2.8 GHz Core 2 Duo MBP
That is mega-lame that they would just drop 10.6 support on their only two firewire interfaces. I wonder if they plan on discontinuing them and that is why they didn't develop 10.6 support?
 
OP
jamessmells
Joined
May 18, 2009
Messages
91
Reaction score
1
Points
8
Your Mac's Specs
15" MacBook Pro, 2.53GHz, 4GB, Snow Leopard + iPhone 3G
That is mega-lame that they would just drop 10.6 support on their only two firewire interfaces. I wonder if they plan on discontinuing them and that is why they didn't develop 10.6 support?

I think they may have already discontinued making it, but some places still sell it. It's messed up that they don't support the latest OS on Mac. I'm going to write an email explaining that I am never going to buy a TASCAM product if they drop support for new operating systems. It's ridiclus. Plus, they do support windows 7. Why? Urgh. Sorry, rant over.
 
Joined
Jan 28, 2009
Messages
30
Reaction score
0
Points
6
tascam is notorious for this
same thing has happened with a lot of their products
take a look over at the tascamforums and you'll see
another option as your mom suggested, use Windows XP :D
 
OP
jamessmells
Joined
May 18, 2009
Messages
91
Reaction score
1
Points
8
Your Mac's Specs
15" MacBook Pro, 2.53GHz, 4GB, Snow Leopard + iPhone 3G
But, I use Logic! I don't have any software for windows. Can you run Leopard in BootCamp?
 
OP
jamessmells
Joined
May 18, 2009
Messages
91
Reaction score
1
Points
8
Your Mac's Specs
15" MacBook Pro, 2.53GHz, 4GB, Snow Leopard + iPhone 3G
Hi James

The FW1082 does not support snow leopard. At present we do not have any plans to release snow leopard drivers for this unit but with enough requests we may develop drivers.

Regards

Gary

Anyone fancy requesting it?
 
Joined
Feb 13, 2010
Messages
2
Reaction score
0
Points
1
Your Mac's Specs
Macbook Pro, iMac, iPhone 3GS
Hey James, did you ever figure this out? I just bought a FW-1082 and then read this post...Devastated. Is is totally useless with Snow Leopard then?
 
Joined
Nov 1, 2009
Messages
886
Reaction score
33
Points
28
Location
DohaLondonVegas
Your Mac's Specs
MacBookPro 11,2 <--DAW!!!
That's BS that Tascam doesn't support SL for the 1082. :Angry-Tongue:
It's too bad because I just looked up the specs on it and it looks like a great Firewire interface controller.
 
Joined
Mar 10, 2010
Messages
28
Reaction score
0
Points
1
Location
Nashua,NH
Your Mac's Specs
17" MBP Unibody, 2.8 ghz, 4gb ram, 500 gb HD, Iphone 4, 16gb
I have the same exact problem as you have. I own a tascam fw 1082 and it works fine with my snow leopard 10.6.3 as an interface but it barley does anything as a midi controller. and im using ableton 8. im trying to sell it and find something different. and i would imagine that they are discontinuing both the 1082 and the 1884 because as i search around the internet all i see is problems with them.
 
OP
jamessmells
Joined
May 18, 2009
Messages
91
Reaction score
1
Points
8
Your Mac's Specs
15" MacBook Pro, 2.53GHz, 4GB, Snow Leopard + iPhone 3G
I have sort of got it working with Logic Pro 9, but some of the features don't work. The most annoying is the audio output doesn't work! I got round this by using a second audio interface, its not ideal. But it will do.

If you want to try this, just download the Leopard driver and create and Aggregate Audio device to use a different input device than output device.

GrandDesign, I would advise you not to buy Tascam again. I certainly will not.
 
Joined
Feb 24, 2010
Messages
95
Reaction score
2
Points
8
Location
NYC
Your Mac's Specs
15" MBP 2.5Ghz C2D 4GB 500GB Seagate 7200RPM / 15" Powerbook G4 1.5Ghz 2GB 160GB Seagate 5400rpm
Both are great units, but only the 1082 is discontinued AFAIK. I would personally just sell the 1082, recoup what you can and move on.
 
Joined
May 25, 2010
Messages
1
Reaction score
0
Points
1
Both are great units, but only the 1082 is discontinued AFAIK. I would personally just sell the 1082, recoup what you can and move on.

Reviving this old thread with good news. The Tascam FW-1082 now works great on Snow Leopard running FCS3. Tascam released a new driver that did the trick!
 

Shop Amazon


Shop for your Apple, Mac, iPhone and other computer products on Amazon.
We are a participant in the Amazon Services LLC Associates Program, an affiliate program designed to provide a means for us to earn fees by linking to Amazon and affiliated sites.
Top